> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Find face events by organization

> Find face events for an organization. The events are returned in reverse chronological order, with the latest events appearing first.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/faceRecognition/faceEvent/findFaceEventsByOrg
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/faceRecognition/faceEvent/findFaceEventsByOrg:
    post:
      tags:
        - Face Recognition Event Webservice
      summary: Find face events by organization
      description: >-
        Find face events for an organization. The events are returned in reverse
        chronological order, with the latest events appearing first.
      operationId: findFaceEventsByOrg
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Facerecognition_faceevent_FindFaceEventsByOrgWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Facerecognition_faceevent_FindFaceEventsByOrgWSResponse
          description: OK
components:
  schemas:
    Facerecognition_faceevent_FindFaceEventsByOrgWSRequest:
      type: object
      description: >-
        Request object for finding face events by organization with search
        filtering and pagination.
      properties:
        pageRequest:
          $ref: '#/components/schemas/DynamoPageRequest'
        searchFilter:
          $ref: >-
            #/components/schemas/Facerecognition_faceevent_ExternalFaceEventSearchFilter
    Facerecognition_faceevent_FindFaceEventsByOrgWSResponse:
      type: object
      description: >-
        Response object containing face events for an organization with
        pagination information.
      properties:
        faceEvents:
          type: array
          description: List of face events matching the search criteria
          items:
            $ref: '#/components/schemas/Facerecognition_faceevent_ExternalFaceEvent'
          nullable: true
        lastEvaluatedKey:
          type: string
          description: Pagination key for retrieving the next page of results
          example: next_page_key_123
          nullable: true
    DynamoPageRequest:
      type: object
      description: >-
        Pagination request for retrieving policy alerts. Page size must be
        between 1 and 1000.
      properties:
        lastEvaluatedKey:
          type: string
          nullable: true
        maxPageSize:
          type: integer
          format: int32
          nullable: true
    Facerecognition_faceevent_ExternalFaceEventSearchFilter:
      type: object
      description: Search filter for face events with embedding presence filtering.
      properties:
        deviceUuids:
          type: array
          description: Optional filter by a set of devices.
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        faceNameContains:
          type: string
          description: >-
            Optional filter by name substring. The face event is a match if its
            face name contains the specified value. The search will only be
            performed if the provided value is at least 3 characters long after
            trimming leading and trailing spaces. If both faceNameContains and
            faceNames are specified, faceNameContains takes a precedence.
          nullable: true
        faceNames:
          type: array
          description: Optional filter by people names.
          items:
            type: string
            description: Optional filter by people names.
            nullable: true
          nullable: true
        hasEmbedding:
          type: boolean
          description: Optional filter by the presence or absence of an embedding.
          nullable: true
        hasName:
          type: boolean
          description: Optional filter by the presence or absence of a person name.
          nullable: true
        labels:
          type: array
          description: Optional filter by labels.
          items:
            type: string
            description: Optional filter by labels.
            nullable: true
          nullable: true
        locationUuids:
          type: array
          description: Optional filter by a set of locations.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        personUuids:
          type: array
          description: Optional filter by a set of people.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        timestampFilter:
          $ref: '#/components/schemas/TimestampFilter'
    Facerecognition_faceevent_ExternalFaceEvent:
      type: object
      description: >-
        External face event object containing face recognition data with person
        matches, embeddings, and metadata.
      properties:
        detectionConfidence:
          type: number
          format: float
          description: >-
            Confidence value indicating the likelihood that the detected image
            is a face
          example: 0.98
          nullable: true
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        embeddingConfidence:
          type: number
          format: float
          description: >-
            Confidence value associated with the embedding generated for the
            face image
          example: 0.95
          nullable: true
        eventTimestamp:
          type: integer
          format: int64
          description: Timestamp when the face event occurred
          example: 1640995200000
          nullable: true
        faceName:
          type: string
          description: >-
            Name of the person that matched the face image. If
            selectedPersonMatch is not null, faceName will be equal to the name
            field of selectedPersonMatch.
          nullable: true
        hasEmbedding:
          type: boolean
          description: Whether the face event has an embedding
          example: true
          nullable: true
        imageS3Key:
          type: string
          description: S3 key for the face event image
          example: face-events/images/event_123.jpg
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        personUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        selectedPersonMatch:
          $ref: '#/components/schemas/Facerecognition_faceevent_ExternalPersonMatch'
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        thumbnailS3Key:
          type: string
          description: S3 key for the face event thumbnail
          example: face-events/thumbnails/event_123.jpg
          nullable: true
        topPersonMatches:
          type: array
          description: Top person matches found for the face image.
          items:
            $ref: '#/components/schemas/Facerecognition_faceevent_ExternalPersonMatch'
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    TimestampFilter:
      type: object
      description: >-
        Optional filter by an event timestamp. If not specified, the filter
        defaults to the last 7 days.
      properties:
        rangeEnd:
          type: string
          format: date-time
          description: End of the date range (inclusive).
          nullable: true
        rangeStart:
          type: string
          format: date-time
          description: Start of the date range (inclusive).
          nullable: true
    Facerecognition_faceevent_ExternalPersonMatch:
      type: object
      description: >-
        Person match information for face recognition events with confidence
        scoring.
      properties:
        confidence:
          type: number
          format: float
          description: Match confidence level expressed as a value in range[0,1]
          example: 0.95
          nullable: true
        faceId:
          type: string
          description: Face ID associated with the person match
          example: face_12345
          nullable: true
        name:
          type: string
          description: Name of the person matched
          example: John Doe
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````